From 4dbc5804b2923ba869c3e79a33f4ba915873fec4 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 23 2017 09:59:16 +0000
Subject: [PATCH 996/1001] Fix VCR files following the GitHub validators implementation


---

diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete
index 1c79340..e823b14 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete
@@ -447,4 +447,51 @@ interactions:
           Expires=Fri, 27-Oct-2017 15:29:32 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:33 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['96D4:2E786:106B535:2457CA2:59EDBCD1']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['42']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.019921']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete_unauthorized b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete_unauthorized
index 002f0d8..ffa0900 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete_unauthorized
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidget.test_delete_unauthorized
@@ -447,4 +447,51 @@ interactions:
           Expires=Fri, 27-Oct-2017 15:29:34 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:34 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['CE90:2E786:106B578:2457D46:59EDBCD2']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['41']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.024875']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_removed_widget b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_removed_widget
index 3cb4651..6e4a914 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_removed_widget
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_removed_widget
@@ -447,4 +447,51 @@ interactions:
           Expires=Sat, 28-Oct-2017 12:13:40 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:35 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['96D8:2E787:20A5C95:40179E8:59EDBCD3']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['40']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.021827']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets
index 3c51168..c84838b 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets
@@ -447,4 +447,51 @@ interactions:
           Expires=Fri, 27-Oct-2017 15:29:36 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:36 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['CE94:2E787:20A5CFE:4017AEB:59EDBCD4']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['39']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.024877']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_preview b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_preview
index 6146a59..0ba4ad0 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_preview
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_preview
@@ -895,4 +895,98 @@ interactions:
           Expires=Sat, 28-Oct-2017 12:07:31 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:37 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['96DC:2E787:20A5D96:4017C00:59EDBCD5']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['38']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.020314']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.3]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      Access-Control-Allow-Origin: ['*']
+      Access-Control-Expose-Headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      Cache-Control: ['public, max-age=60, s-maxage=60']
+      Content-Encoding: [gzip]
+      Content-Security-Policy: [default-src 'none']
+      Content-Type: [application/json; charset=utf-8]
+      Date: ['Mon, 23 Oct 2017 09:57:15 GMT']
+      ETag: [W/"26ff4247338ae3b104803156575c2cff"]
+      Expect-CT: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      Last-Modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      Server: [GitHub.com]
+      Status: [200 OK]
+      Strict-Transport-Security: [max-age=31536000; includeSubdomains; preload]
+      Vary: [Accept]
+      X-Content-Type-Options: [nosniff]
+      X-Frame-Options: [deny]
+      X-GitHub-Media-Type: [github.v3; format=json]
+      X-GitHub-Request-Id: ['96F8:2E788:1981E34:44C59DD:59EDBCFB']
+      X-RateLimit-Limit: ['60']
+      X-RateLimit-Remaining: ['35']
+      X-RateLimit-Reset: ['1508753124']
+      X-Runtime-rack: ['0.017265']
+      X-XSS-Protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_private b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_private
index 0450f91..ab0907c 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_private
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_get_widgets_private
@@ -447,4 +447,51 @@ interactions:
           Expires=Sat, 28-Oct-2017 12:07:33 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:38 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['CE98:2E785:7479EC:112E68A:59EDBCD6']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['37']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.020721']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_post_valid_widget_name_no_config b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_post_valid_widget_name_no_config
index cad3a65..2f29d37 100644
--- a/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_post_valid_widget_name_no_config
+++ b/hubs/tests/vcr-request-data/hubs.tests.views.test_api_hub_widget.TestAPIHubWidgets.test_post_valid_widget_name_no_config
@@ -447,4 +447,51 @@ interactions:
           Expires=Fri, 27-Oct-2017 15:29:38 GMT; Secure; HttpOnly; Path=/']
       Strict-Transport-Security: [max-age=15768000; includeSubDomains; preload]
     status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.18.4]
+    method: GET
+    uri: https://api.github.com/users/fedora-infra
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA52TzW6cMBSFXyXyehjjMJ02lqruKnXVzayyGRnjgRsZ2/IP0RTl3XsNJJogVRWz
+        Aiyf7x6OfUaibQuGcHJRjfWiAHPxguwINIRXFTseq687IgYRhT8nr3FjF6MLnNJ5MbB9C7FLdQrK
+        S2uiMnEvbU8TXeQ/hu8HBLZ+oWQywYUVzcECmtVIC3TlqYu9XpmYZ0+S1eaL1dq+ImVt+3+D6IcS
+        Tc7vYNo7KagcqY2dwvTwl95yEBDidlOTaqT5cYYmcwIeiVfNZmOLDm29GnQ0Uq+cnYCpDtKDi2DN
+        doOf1EizvhUG/oj7aKgOCMnWtluZVKhWA17G7fJZNlLnYRDymqPxSioYMOw7kSs9EuPVKezB75uU
+        8hFAVGfR9LmRF6GD2hEj+rzx51TPh1+5niH6JGPyChV4850wV8JN0npHaqzzbUedC/u5GM7bFyXj
+        HpOlqNNWTkfzLlS9AGz3TOnAK1FrnLtQwf7LwsNJiR55LtUa5HmOnrOSfSxNN5fw8r1MWMmbLyzI
+        9CVxYsSARcRJjyWripIV7OnEnvjhGz98ecYZyTWf9hyLsirY4fRY8orxsnomb38BYQwDb9AEAAA=
+    headers:
+      access-control-allow-origin: ['*']
+      access-control-expose-headers: ['ETag, Link, X-GitHub-OTP, X-RateLimit-Limit,
+          X-RateLimit-Remaining, X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes,
+          X-Poll-Interval']
+      cache-control: ['public, max-age=60, s-maxage=60']
+      content-encoding: [gzip]
+      content-security-policy: [default-src 'none']
+      content-type: [application/json; charset=utf-8]
+      date: ['Mon, 23 Oct 2017 09:56:39 GMT']
+      etag: [W/"26ff4247338ae3b104803156575c2cff"]
+      expect-ct: ['max-age=2592000, report-uri="https://api.github.com/_private/browser/errors"']
+      last-modified: ['Mon, 14 Mar 2016 20:31:03 GMT']
+      server: [GitHub.com]
+      status: [200 OK]
+      strict-transport-security: [max-age=31536000; includeSubdomains; preload]
+      vary: [Accept]
+      x-content-type-options: [nosniff]
+      x-frame-options: [deny]
+      x-github-media-type: [github.v3; format=json]
+      x-github-request-id: ['96E2:2E787:20A5ECB:4017E6C:59EDBCD7']
+      x-ratelimit-limit: ['60']
+      x-ratelimit-remaining: ['36']
+      x-ratelimit-reset: ['1508753124']
+      x-runtime-rack: ['0.019871']
+      x-xss-protection: [1; mode=block]
+    status: {code: 200, message: OK}
 version: 1

